Subject: RE: [dhcwg] Error codes for Decline message

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Mon, 21 Jan 2002 01:45:08 -0600

I agree with Jim (we may want to add some additional error codes down the road).
At one point in the discussions, we were about to abandon all error codes and
simply have a success / failure indication. So, please think minimal error codes!

I don't agree with Vijay's position that the two instances given are Decline
cases. They should instead result in Releases (if a client doesn't want an address
the server gave it, it should Release it).

Also, other than for "logging", I don't believe the server really cares. Decline
says to basically "Abandon" the address as it appears to be in use by a system
already when it should not be.

Release says just to release the addresses and place them back into the available
pool of addresses.

The status codes don't change the processing, IMHO. You don't even need to set
them to specific values (the error codes are more for server to client communication
in Reply's, IMHO).

- Bernie

-----Original Message-----
From: Jim Bound [mailto:[email-masked]]
Sent: Sunday, January 20, 2002 8:30 PM
To: Vijayabhaskar A K
Cc: [email-masked]
Subject: Re: [dhcwg] Error codes for Decline message

Hi Vijay,

Your ahead of us with hands on code for dhc6.  And thanks for putting it
in the public domain that was very nice.  We are trying to get to PS.  I
suggest that we will find more needed error codes once we begin more
implementations and more error codes.  Right now I believe we have the
generic onces to to resolve a response for all errors trying to
extrapolate the possibilities from the spec without writing the code
myself.  So I think adding a new code before PS as you have found as
bonifided implementor is good.  But  I caution the WG positively to not
head down all these paths we will find many new pieces we need from more
implementation and getting to PS is important so other folks are not
implementing specs 3 revs behind as it has engineering cost and thats part
of our job in the IETF is to keep that to a minimum in our work for the
folks that write code.

/jim

On Mon, 21 Jan 2002, Vijayabhaskar A K wrote:

> We need error codes to be defined for Decline message.
> AddrInUse - Address already in use.
> Is there any other scenario for which the client can
> send decline message?
> Will the following scenarios contribute to decline message?
> - The lease time the client has got is not sufficient for it.
> - The client has asked for a prefix A. But the server's
> admin policy says that for that client assign address 
> with prefix B and it does so.
> I think, a mere release is not enough for these above 
> situations. This has to be notified to the admin to take
> corrective action. 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg